#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - python310-base installation
#
# Creation   :  2022-04-20 holbru
# Last update:  $Id: install.sh 94529 2022-04-21 19:37:47Z hbfl $
#
# Copyright (c) 2022-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=python310-base

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
ver=3.10

/usr/sbin/update-alternatives \
    --install /usr/bin/python3 python3 /usr/bin/python3.10 310 \
    --slave /usr/bin/pydoc3 pydoc3 /usr/bin/pydoc3.10 \
    --slave /usr/bin/2to3 2to3 /usr/bin/2to3-3.10 \
    --slave /usr/bin/python3-config python3-config /usr/bin/python3.10-config \
    --slave /usr/lib/pkgconfig/python3.pc python3.pc /usr/lib/pkgconfig/python-3.10.pc \
    --slave /usr/lib/pkgconfig/python3-embed.pc python3-embed.pc /usr/lib/pkgconfig/python-3.10-embed.pc \
    --slave /usr/lib/libpython3.so libpython3.so /usr/lib/libpython3.so-3.10

# check what is activated
value=$(/usr/sbin/update-alternatives --query python3 | /usr/bin/awk '/^Value/ {print $2}')

# if the best version not this version, use this version manual  
if echo "${value}" | /usr/bin/grep -q "${ver}"
then
    echo "python3 manual /usr/bin/python${ver}" | /usr/sbin/update-alternatives --set-selections  >/dev/null 2>&1
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
